> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rated.network/llms.txt
> Use this file to discover all available pages before exploring further.

# Get validator rewards metrics

> This endpoint returns rewards metrics for a specific validator.

<Warning>
  <b>Polygon on the Rated API is under maintenance</b>

  Please check our [changelog](/changelog#july-8%2C-2025) for the latest updates.
</Warning>


## OpenAPI

````yaml get /v1/polygon/validators/{validator_id}/rewards
openapi: 3.1.0
info:
  title: Rated API
  description: >

    Welcome to Rated API Swagger doc for developers! This doc outlines the Rated
    API functionality and API architecture.


    V0: It is separated into seven categories:


    -   **Validators**: Endpoints to query into individual validator indices or
    aggregations of validator indices.

    -   **Operators**: Endpoints to query into pre-materialized operator
    groupings.

    -   **Network**: Endpoints to query into network aggregate stats.

    -   **Slashings**: Endpoints to query into network aggregate stats.

    -   **Withdrawals (beta)**: Endpoints to query into when a withdrawal is
    expected to land.

    -   **Self Report (beta)**: Endpoint to query into all slashed validators
    and individual slashed validator indices


    V1: It is separated into six categories:

    -   **Overview**: Endpoints encapsulating the current status of operators,
    pools and validators.

    -   **Performance**: Endpoints that dive into performance and effectiveness
    metrics on execution and consensus layer for operators, pools and
    validators.

    -   **Rewards**: Endpoints that dive into relevant metrics around rewards
    and penalties for operators, pools and validators.

    -   **Private Sets**: Endpoints that aggregate custom group of validators
    privately for performance and reward drill downs.

    -   **Metadata**: Endpoints that provide metadata about mappings, slashings
    and APRs for validators, pools and operators.

    -   **Network**: Endpoints that provide network level metrics about
    performance, rewards, and distributions.


    [Terms of Use](https://docs.rated.network/legal/terms/api-terms-of-service)


    [API
    Reference](https://docs.rated.network/rated-api/api-reference/introduction)
  version: '1.0'
servers: []
security: []
paths:
  /v1/polygon/validators/{validator_id}/rewards:
    get:
      tags:
        - Polygon Rewards
      summary: Get validator rewards metrics
      description: This endpoint returns rewards metrics for a specific validator.
      operationId: validator_rewards_v1_polygon_validators__validator_id__rewards_get
      parameters:
        - name: validator_id
          in: path
          required: true
          schema:
            type: integer
            minimum: 0
            title: Validator Id
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            description: The number of results returned per page
            default: 10
            title: Limit
          description: The number of results returned per page
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            description: The number of results to skip before starting to return
            default: 0
            title: Offset
          description: The number of results to skip before starting to return
        - name: from
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
              - type: string
              - $ref: >-
                  #/components/schemas/networks__polygon__granularity__Granularity
            title: From
        - name: to
          in: query
          required: false
          schema:
            anyOf:
              - {}
              - type: 'null'
            title: To
        - name: granularity
          in: query
          required: false
          schema:
            anyOf:
              - $ref: >-
                  #/components/schemas/networks__polygon__granularity__Granularity
              - type: 'null'
            title: Granularity
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/api__schemas__paginator__paginated_response_for_result_model___locals___PaginatedResponseWithResultModel__89
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Bad Request
      security:
        - HTTPBearer: []
components:
  schemas:
    networks__polygon__granularity__Granularity:
      type: string
      enum:
        - checkpoint
        - day
      title: Granularity
    api__schemas__paginator__paginated_response_for_result_model___locals___PaginatedResponseWithResultModel__89:
      properties:
        previous:
          anyOf:
            - type: string
            - type: 'null'
          title: Previous
        next:
          anyOf:
            - type: string
            - type: 'null'
          title: Next
        pages:
          type: integer
          minimum: 0
          title: Pages
        results:
          items:
            properties:
              checkpoint:
                anyOf:
                  - type: integer
                    minimum: 0
                  - type: 'null'
                title: Checkpoint
              timestamp:
                anyOf:
                  - type: string
                    format: date-time
                  - type: 'null'
                title: Timestamp
              day:
                anyOf:
                  - type: string
                    format: date
                  - type: 'null'
                title: Day
              fromCheckpoint:
                anyOf:
                  - type: integer
                    minimum: 0
                  - type: 'null'
                title: Fromcheckpoint
              toCheckpoint:
                anyOf:
                  - type: integer
                    minimum: 0
                  - type: 'null'
                title: Tocheckpoint
              validatorId:
                type: integer
                minimum: 0
                title: Validatorid
              checkpointSignatureRewards:
                anyOf:
                  - type: number
                  - type: string
                title: Checkpointsignaturerewards
              selfSigningRewards:
                anyOf:
                  - type: number
                  - type: string
                title: Selfsigningrewards
              distributedRewards:
                anyOf:
                  - type: number
                  - type: string
                title: Distributedrewards
              commissionRewards:
                anyOf:
                  - type: number
                  - type: string
                title: Commissionrewards
              delegatorRewards:
                anyOf:
                  - type: number
                  - type: string
                title: Delegatorrewards
              missedCheckpointSignatureRewards:
                anyOf:
                  - type: number
                  - type: string
                title: Missedcheckpointsignaturerewards
              missedSelfSigningRewards:
                anyOf:
                  - type: number
                  - type: string
                title: Missedselfsigningrewards
              missedDistributedRewards:
                anyOf:
                  - type: number
                  - type: string
                title: Misseddistributedrewards
              missedCommissionRewards:
                anyOf:
                  - type: number
                  - type: string
                title: Missedcommissionrewards
              missedDelegatorRewards:
                anyOf:
                  - type: number
                  - type: string
                title: Misseddelegatorrewards
              checkpointProposalRewards:
                anyOf:
                  - type: number
                  - type: string
                  - type: 'null'
                title: Checkpointproposalrewards
              missedCheckpointProposalRewards:
                anyOf:
                  - type: number
                  - type: string
                  - type: 'null'
                title: Missedcheckpointproposalrewards
              priorityFees:
                anyOf:
                  - type: number
                  - type: string
                title: Priorityfees
              mevRewards:
                anyOf:
                  - type: number
                  - type: string
                title: Mevrewards
            type: object
            required:
              - validatorId
              - checkpointSignatureRewards
              - selfSigningRewards
              - distributedRewards
              - commissionRewards
              - delegatorRewards
              - missedCheckpointSignatureRewards
              - missedSelfSigningRewards
              - missedDistributedRewards
              - missedCommissionRewards
              - missedDelegatorRewards
              - checkpointProposalRewards
              - missedCheckpointProposalRewards
              - priorityFees
              - mevRewards
            title: PolygonValidatorRewards
            examples:
              - checkpoint: 54664
                checkpointProposalRewards: 250.3
                checkpointSignatureRewards: 1200.45
                commissionRewards: 90.03
                delegatorRewards: 810.32
                distributedRewards: 900.35
                mevRewards: 25
                missedCheckpointProposalRewards: 25
                missedCheckpointSignatureRewards: 50.75
                missedCommissionRewards: 3.81
                missedDelegatorRewards: 34.26
                missedDistributedRewards: 38.07
                missedSelfSigningRewards: 12.68
                priorityFees: 75.5
                selfSigningRewards: 300.1
                timestamp: '2021-09-01T00:00:00Z'
                validatorId: 103
              - checkpointProposalRewards: 3000.45
                checkpointSignatureRewards: 15000.75
                commissionRewards: 1150.05
                day: '2021-09-01'
                delegatorRewards: 10350.5
                distributedRewards: 11500.55
                fromCheckpoint: 54664
                mevRewards: 325.5
                missedCheckpointProposalRewards: 300.1
                missedCheckpointSignatureRewards: 750.25
                missedCommissionRewards: 57.52
                missedDelegatorRewards: 517.68
                missedDistributedRewards: 575.2
                missedSelfSigningRewards: 175.05
                priorityFees: 850.75
                selfSigningRewards: 3500.2
                toCheckpoint: 54680
                validatorId: 103
          type: array
          title: Results
      type: object
      required:
        - previous
        - next
        - pages
        - results
      title: PaginatedV1PolygonValidatorRewardsList
      examples:
        - next: >-
            https://api.rated.network//v1/polygon/validators/{validator_id}/rewards?limit=10&offset=30
          pages: 10
          previous: >-
            https://api.rated.network//v1/polygon/validators/{validator_id}/rewards?limit=10&offset=10
          results:
            - - checkpoint: 54664
                checkpointProposalRewards: 250.3
                checkpointSignatureRewards: 1200.45
                commissionRewards: 90.03
                delegatorRewards: 810.32
                distributedRewards: 900.35
                mevRewards: 25
                missedCheckpointProposalRewards: 25
                missedCheckpointSignatureRewards: 50.75
                missedCommissionRewards: 3.81
                missedDelegatorRewards: 34.26
                missedDistributedRewards: 38.07
                missedSelfSigningRewards: 12.68
                priorityFees: 75.5
                selfSigningRewards: 300.1
                timestamp: '2021-09-01T00:00:00Z'
                validatorId: 103
              - checkpointProposalRewards: 3000.45
                checkpointSignatureRewards: 15000.75
                commissionRewards: 1150.05
                day: '2021-09-01'
                delegatorRewards: 10350.5
                distributedRewards: 11500.55
                fromCheckpoint: 54664
                mevRewards: 325.5
                missedCheckpointProposalRewards: 300.1
                missedCheckpointSignatureRewards: 750.25
                missedCommissionRewards: 57.52
                missedDelegatorRewards: 517.68
                missedDistributedRewards: 575.2
                missedSelfSigningRewards: 175.05
                priorityFees: 850.75
                selfSigningRewards: 3500.2
                toCheckpoint: 54680
                validatorId: 103
    ErrorResponse:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/Error'
          type: array
          title: Detail
      type: object
      required:
        - detail
      title: ErrorResponse
    Error:
      properties:
        loc:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Loc
        msg:
          type: string
          title: Msg
        type:
          type: string
          title: Type
      type: object
      required:
        - msg
        - type
      title: Error
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````